Subject: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Sep 2023 11:53:40 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 17 Sep 2023 08:52:07 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Gerd Möllmann <[email-masked]>
> >> Cc: Stefan Monnier <[email-masked]>,  [email-masked]
> >> Date: Sun, 17 Sep 2023 08:40:06 +0200
> >> 
> >> I'm using use-package (+ straight) in my init.el, and because of that
> >> the bindings are done, behind the scenes, with bind-key.  The
> >> use-package binding f2 looks like (stripped down):
> >> 
> >>   (use-package emacs
> >>     :bind
> >>     ;; FIXME: The function key bindings sometimes mysteriously
> >>     ;; disappear, and are replaced with the original bindings in
> >>     ;; global-map.
> >>     ("<f2>" . mode-line-other-buffer))
> >
> > What does use-package do when the "package" is "emacs"?  IOW, at what
> > point in time will the above binding be executed, and what event will
> > trigger that?
> 
> Nothing.  It's sort of an idiom I found on the net for general
> customizations and so on that don't belong to a particular package.
> Some people apparently name it "general".

So the above binding of F2 is never executed in your case?  Or else,
how should I interpret your "Nothing" response to my question about
the point in time when this binding is executed?